# MMS/MMK Makefile for OpenVMS
# Copyright (c) 2001 Edward Brocklesby
# $Id: descrip.mms,v 1.2 2003/05/26 12:17:18 ejb Exp $

CC=	CC
CFLAGS=	/INCLUDE_DIRECTORY=([-.-.INCLUDE],[-.-.ADNS])/STANDARD=ISOC94
LDFLAGS=	

OBJECTS=	M_DIE.OBJ,M_KICK.OBJ,M_KILL.OBJ,M_MESSAGE.OBJ,M_MODE.OBJ,M_NICK.OBJ,-
		M_PART.OBJ,M_QUIT.OBJ,M_SERVER.OBJ,M_SJOIN.OBJ,M_SQUIT.OBJ, -
		STATIC_MODULES.OBJ

ALL : CORE.OLB($(OBJECTS))
	COPY CORE.OLB [-]

STATIC_MODULES.OBJ : STATIC_MODULES.C

STATIC_MODULES.C : [-]STATIC_MODULES_C.COM
	@[-]STATIC_MODULES_C "load_core_static_modules"

CLEAN :
	DELETE *.OLB;*
	DELETE *.OBJ;*

